%define class MIME
%define subclass tools
%define version 5.411
%define release 3

# Derived values
%define module  %{class}-%{subclass}
%define name    perl-%{module}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:        Perl modules for parsing (and creating!) MIME entities
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Libraries/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{module}-%{version}.tar.bz2
Url: 		http://www.cpan.org/modules/by-module/%{class}
BuildRequires:	perl perl-IO-stringy perl-MailTools
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-build-%(id -nu)/
Requires: 	perl = %{perlver}
Provides:       %{module} = %{version}

%description
Modules for parsing (and creating!) MIME entities Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o \
                             -name ".packlist" -o \
                             -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{module}-%{version}

%files
%defattr(-,root,root)
%doc COPYING README* docs examples
%{_prefix}

%changelog
* Thu Apr 24 2003 Michael McLagan <michael.mclagan@linux.org> 5.411-3
- Recompile for perl-5.8.0

* Fri Apr 19 2002 Michael McLagan <michael.mclagan@linux.org>
- Simplified spec

* Wed Apr 16 2002 Russell Stuart <russell@stuart.wattle.id.au> 5.411-1ras
- Adapted to RedHat 7.2.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 5.411-3mdk
- added url tag.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 5.411-2mdk
- BuildRequires: perl-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 5.411-1mdk
- 5.411.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.410-2mdk
- Rebuild for the latest perl.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 5.410-1mdk
- added missing Requires and BuildRequires.
- 5.410.

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 5.316-1mdk
- 5.316.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 5.311-1mdk
- 5.311.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 5.306-2mdk
- Oops, added missing clean.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 5.306-1mdk
- macroszifications.
- added doc.
- noarch.
- 5.306.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 5.304-1mdk
- 5.304.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.124-2mdk
- fixed group
- rebuild with new perl >= 5.6.1
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.
